function [out, HG] = IMCallNM( imc, Nbins, nmList )
% function [out, HGs] = IMCallNM( imc, Nbins )

imc.setRF( 0 );
imc.lock;

if ~exist( 'nmList', 'var' )
    nmList = [0,1; 1,0; 2,0; 1,1; 3,0; 2,1; 4,0; 3,1 ];
elseif isnumeric(nmList)
    nmList = zeros(nmList+1,2);
    for in = 1:size(nmList,1)
        nmList(in,:) = [in-1, size(nmList,1)-in];
    end
end
out = cell(size(nmList,1),1);
HG = cell(size(nmList,1),1);
for il = 1:size(nmList,1)
    [out{il}, HG{il}] = IMCNMscan( imc, nmList(il,1), nmList(il,2), Nbins );
end