function out = IMCheatScan( imc, Pabs )
% function out = IMCheatScan( imc, Pabs )
% out(:,1) = Pabs(:), out(:,2) = delL;

imc.updateMirMaps( 'MC1', 'PcoatMC13', 0 );
imc.updateMirMaps( 'MC3', 'PcoatMC13', 0 );
imc.updateMirMaps( 'MC2', 'PcoatMC2', 0 );

id = imc.props.findNamedProp('Prop13');

out = zeros( length(Pabs), 2 );
for iabs = 1:length( Pabs )
    imc.updateMirMaps( 'MC1', 'PcoatMC13', Pabs(iabs) );
    imc.updateMirMaps( 'MC3', 'PcoatMC13', Pabs(iabs) );
    imc.updateMirMaps( 'MC2', 'PcoatMC2', Pabs(iabs) );
    imc.lock
    out(iabs,1) = Pabs(iabs);
    out(iabs,2) = imc.props.propList(id).delL;
end
