function KAGRAanal( msg, prm, outFile )

if exist( 'outFile', 'var' )
    fid = fopen(outFile, 'w');
else
    fid = 1;
end

flds = {'PRM-AR-i','PRM-HR-i', 'PRM-HR-o', 'ITMX-AR-i', 'ITMX-AR-o', 'ITMX-HR-o', 'ITMY-HR-o', 'BS-HRx-o', 'BS-ARy-o'};

fprintf(fid, '\n\n%s ----------------\n\n', msg );
for ifld = 1:length(flds)
    pwr = prm.power(flds{ifld});
    LGs = prm.LGFrac(flds{ifld},0,0:5);
    LGs(1) = 1 - LGs(1);
    [~,fit] = prm.gaussFit(flds{ifld});
    fprintf(fid,'===> field:%s, power=%g, HOM=%g, w=%g, RoC=%g, LG(1:5)=%g,%g,%g,%g,%g\n', ...
        flds{ifld}, pwr, LGs(1), (fit(1).w+fit(2).w)/2, pi/1.064e-6*(1/fit(1).invRk+1/fit(2).invRk), LGs(2:end) );
end

if fid ~= 1
    fclose(fid);
end