function ID = calcITMRTefl( ifo, ITMin, RoC, w )

ITMin = ifo.fields.findNamedField( ITMin );

if exist('RoC', 'var') && exist('w', 'var')
    ifo.fields.fieldList(ITMin).invQ = 1/RoC - 1i*1.064e-6/pi/w^2;
end

ifo.fields.setDefField(ITMin);
ID = ifo.refl(ITMin);
ifo.fields.fieldList(ID).invQ = -conj(ifo.fields.fieldList(ITMin).invQ);
