function out = scanInjModes2IMC( Pabs, nmList )

if ~exist( 'nmList', 'var' )
    nmList = [0,1; 1,0; 2,0; 1,1; 3,0; 2,1; 4,0; 3,1 ];
elseif isnumeric(nmList)
    nmList = zeros(nmList+1,2);
    for in = 1:size(nmList,1)
        nmList(in,:) = [in-1, size(nmList,1)-in];
    end
end

Nbin = 20;
out = zeros( size(nmList, 1), 3 );
for inm = 1:size(out,1)
    outOne = imc00MN( Pabs, nmList(inm,1), nmList(inm,2), Nbin );
    out(inm,1) = peakpos( outOne(:,1), outOne(:,4) );
    out(inm,[2,3]) = nmList(inm, :);
end
