switch BSNN
    case 2
        obj.setHRfiles( 'BS', './Data/BS02_S1_CIT.dat', 'map*BSscale', 0.16, 0, 1, 'BSscale', BSmapScale );
        obj.setARfiles( 'BS', './Data/BS02_R2Fig.dat', 'map*BSscale', 0.16, 0, -1, 'BSscale', BSmapScale );
        obj.setTRfiles( 'BS', './Data/BS02_SPTWE.dat', 'map*BSscale', 0.16, 0, -1, 'BSscale', BSmapScale );
    case 5  % for L1
        obj.setHRfiles( 'BS', './Data/BS05_S1_CIT.dat', 'map*BSscale', 0.16, 0, 1, 'BSscale', BSmapScale );
        obj.setARfiles( 'BS', './Data/xBS_05_R2_Figure.dat', 'map*BSscale', 0.16, 0, -1, 'BSscale', BSmapScale );
        obj.setTRfiles( 'BS', './Data/xBS_05_SPTWE_Figure.dat', 'map*BSscale', 0.16, 0, -1, 'BSscale', BSmapScale );
    case 6  % for H1
        obj.setHRfiles( 'BS', './Data/BS06_S1_CIT.dat', 'map*BSscale', 0.16, 0, 1, 'BSscale', BSmapScale );
        obj.setARfiles( 'BS', './Data/xBS_06_R2_Figure.dat', 'map*BSscale', 0.16, 0, -1, 'BSscale', BSmapScale );
        obj.setTRfiles( 'BS', './Data/xBS_06_SPTWE_Figure.dat', 'map*BSscale', 0.16, 0, -1, 'BSscale', BSmapScale );
    case 100
        obj.setRPYfiles( 'BS', './Data/BS02_RPY.dat', 'map*BSscale', 0.22, 0, 1, 'BSscale', BSmapScale );
        obj.setRSXfiles( 'BS', './Data/BS02_RSX.dat', 'map*BSscale', 0.22, 0, 1, 'BSscale', BSmapScale );
        obj.setTPXfiles( 'BS', './Data/BS02_TPX.dat', 'map(:,1:end-5)=map(:,6:end);func=map*BSscale;', 0.22, 0, 1, 'BSscale', BSmapScale );
        obj.setTSYfiles( 'BS', './Data/BS02_TSY.dat', 'map(:,1:end-5)=map(:,6:end);func=map*BSscale;', 0.22, 0, 1, 'BSscale', BSmapScale );
    case 101
        obj.setRPYfiles( 'BS', '', '-sqrt(2)*calcBSatZ( ''w'', x(1,end:-1:1), y(:,1), 0, 0 );', 0.22, 0 );
        obj.setRSXfiles( 'BS', '', '-(calcBST( x(1,:), y(:,1), 0.06, 10, 1 )+calcBST( x(1,:), y(:,1), 0.06, 10, -1 ));', 0.22, 0 );
        obj.setTPXfiles( 'BS', '', '-calcBST( x(1,:), y(:,1), 0.06, 10, 1 );', 0.22, 0 );
        obj.setTSYfiles( 'BS', '', '-calcBST( x(1,end:-1:1), y(:,1), 0.06, 10, -1 );', 0.22, 0 );
end
