function pos = IMCHOMpos( dL, N )

if ~exist( 'dL', 'var' )
    dL = 0.002;
end
if ~exist( 'N', 'var' )
    N = 20;
end
    
peaks = [0.066, 0.132, 0.283, 0.349, 0.566, 0.632, 0.783, 0.849];

pos = linspace( 0, dL, N+1 );
for ipk = 1:length( peaks )
    pos = [pos, linspace( peaks(ipk)-dL, peaks(ipk)+dL, 2*N+1 ) ];
end
pos = [pos, linspace( 1-dL, 1, N+1 )];
pos = pos * 1.064e-6;
end
