% this uses a variable armFP to select H1 or L1 and x arm or y arm
% default is L1 Y arm

if armFP(1) == 'H'
    H1setup;
else
    L1setup;
end

if armFP(2) == 'X'
    ITMRoC = ITMXRoC;
    ITMmap = ITMXmap;
    ETMRoC = ETMXRoC;
    ETMmap = ETMXmap;
    TITM = T_ITMX;
    TETM = T_ETMX;
    Loss_I_HR = HRLoss_ITMX;
    Loss_I_AR = ARLoss_ITMX;
    Loss_E_HR = HRLoss_ETMX;
else
    ITMRoC = ITMYRoC;
    ITMmap = ITMYmap;
    ETMRoC = ETMYRoC;
    ETMmap = ETMYmap;
    TITM = T_ITMY;
    TETM = T_ETMY;
    Loss_I_HR = HRLoss_ITMY;
    Loss_I_AR = ARLoss_ITMY;
    Loss_E_HR = HRLoss_ETMY;
end
