function [Pdark, Pprc, CD, PHG, PLG] = analPRMFP( ifo )

fillDP( ifo );

Pdark = ifo.power('BS-ARy-o');
Pprc = ifo.power('BS-HRx-o');
CD = Pdark / Pprc;

hgmax = 10;
HG = ifo.HGCoef('BS-ARy-o', 0:hgmax,0:hgmax);

for ihg = 0:hgmax
    PHG(ihg+1) = 0;
    for imn = 0:ihg
        PHG(ihg+1) = PHG(ihg+1) + abs(HG(imn+1, ihg-imn+1)).^2;
    end
end
PHG = PHG / Pdark;

LG = ifo.LGCoef('BS-ARy-o', 0:hgmax,0);
PLG = abs(LG).^2 / Pdark;

end